Loading...
Searching...
No Matches
dolfin::LogStream Class Reference

`#include <LogStream.h>`

## Public Types

enum class | Type { COUT , ENDL }
| Stream types.

## Public Member Functions

| LogStream (Type type)
| Create log stream of given type.
| ~LogStream ()
| Destructor.
LogStream & | operator<< (const LogStream &stream)
| Output for log stream.
LogStream & | operator<< (const std::string &s)
| Output for string.
LogStream & | operator<< (int a)
| Output for int.
LogStream & | operator<< (unsigned int a)
| Output for unsigned int.
LogStream & | operator<< (long int a)
| Output for long int.
LogStream & | operator<< (long unsigned int a)
| Output for long int.
LogStream & | operator<< (double a)
| Output for double.
LogStream & | operator<< (std::complex< double > z)
| Output for std::complex<double>.
LogStream & | operator<< (const Variable &variable)
| Output for variable (calling str() method).
LogStream & | operator<< (const MeshEntity &entity)
LogStream & | operator<< (const Point &point)
| Output for point (not subclass of Variable for efficiency).
void | setprecision (std::streamsize n)
| Set precision.

## Detailed Description

This class provides functionality similar to standard C++ streams (std::cout, std::endl) for output but working through the DOLFIN log system.

## Member Function Documentation

## operator<<()

LogStream & LogStream::operator<< | ( | const MeshEntity & | entity | ) |

Output for mesh entity (not subclass of Variable for efficiency)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/LogStream.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/LogStream.cpp